FROM ghcr.io/astral-sh/uv:python3.13-trixie-slim

# RUN apk add --no-cache build-base

# Install app
COPY . /app
WORKDIR /app

# Install dependencies
RUN uv sync --no-config --frozen --compile-bytecode

# Run Battlesnake
CMD ["uv", "run", "main.py"]
